Bug 122844 - No wary to specify the primary name server for SOA record
No wary to specify the primary name server for SOA record
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-08 23:46 EDT by Yoshinobu Akimoto
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: system-config-bind-4.0.0-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 10:46:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yoshinobu Akimoto 2004-05-08 23:46:21 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.<GNOME menu> -> [System Settings] -> [Server Settings] -> [Domain 
Name System]
2."Domain Name Service" window is open.
3.Click <New>
4."Select a zone type" window is open.
5.Click the Forword (or Reverse Master Zone)
6.Set "Domain name" (or "IP Address" for Reverse Master Zone)
7.Click <OK>
8."Name to IP Translations" window is open. (In the case of Reverse 
Master Zone, "IP to Name Translations")
9.Specify "Primary Nameserver (SOA)"
10.Click <OK>
11.The new domain is displayed in "Domain Nmae Service"
12.Select the new domain
13.Click <Add Record>
14.Then set the Name server and so on, and then Click <OK>
15.Return to the "Domain Name Service" window 
16.Click <Save>
17.Click [File] -> [Quit]  

Actual results:
1) The data which is specified in step 9 ("Primary Nameserver (SOA)") 
is used as the "Domain Name" item (Top item of SOA record).(This is 
only used at the zone file name.
(2) The "Primary Name Server" item (which is jest after "SOA")is 
always "localhost" .

Expected results:
(1) "Domain name" (or "IP Address" for Reverse Master Zone), which is 
specified at the step 6, should be used as the "Domain Name" (Top 
item of SOA record). 
(2) "Primary Nameserver (SOA)", which is specified at the step 9, 
should be used as the "Primary Name Server" item (which is just 
after "SOA" in SOA record).

Additional info:
Comment 1 Jason Vas Dias 2005-06-03 10:46:25 EDT
This bug is not in the latest s-c-b-4.0.0-16 version, which can
be downloaded from: 
http://people.redhat.com/~jvdias/system-config-bind

Note You need to log in before you can comment on or make changes to this bug.